"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactI18next = require("react-i18next");

require("./checkbox-custom.scss");

function CheckboxCustom(_ref) {
  var index = _ref.index,
      label = _ref.label,
      onChange = _ref.onChange;

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t,
      i18n = _useTranslation.i18n;

  return /*#__PURE__*/_react.default.createElement("div", {
    className: 'checkbox-container'
  }, /*#__PURE__*/_react.default.createElement("input", {
    type: 'checkbox',
    name: "checkbox-".concat(index),
    className: 'checkbox-input',
    id: "checkbox-".concat(index),
    hidden: true,
    onChange: onChange
  }), /*#__PURE__*/_react.default.createElement("label", {
    className: 'checkbox-label',
    htmlFor: "checkbox-".concat(index)
  }, t(label)));
}

var _default = CheckboxCustom;
exports.default = _default;