"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _i18next = _interopRequireDefault(require("i18next"));

var _HeaderDetails = _interopRequireDefault(require("./HeaderDetails"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
describe('render HeaderDetails component', function () {
  test('HeaderDetails component', function () {
    (0, _react.render)(React.createElement(_HeaderDetails.default, null));

    var HeaderDetailsCustomEle = _react.screen.getByTestId('HeaderDetails');

    expect(HeaderDetailsCustomEle).toBeInTheDocument();
  });
});