"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = HeaderWithBreadcrumb;

var _react = _interopRequireWildcard(require("react"));

require("./headerWithBreadcrumb.scss");

var _reactBootstrap = require("react-bootstrap");

var _jsCookie = _interopRequireDefault(require("js-cookie"));

var _reactI18next = require("react-i18next");

var _fa = require("react-icons/fa");

var _bs = require("react-icons/bs");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function HeaderWithBreadcrumb(_ref) {
  var title = _ref.title,
      items = _ref.items,
      secondTitle = _ref.secondTitle;
  var currentLanguageCode = _jsCookie.default.get('i18next') || 'ar';

  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t;

  return /*#__PURE__*/_react.default.createElement("div", {
    className: 'breadcrumb-main',
    "data-testid": 'headerWithBreadcrumb'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Container, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Row, null, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: 12,
    className: 'col d-flex justify-content-between align-items-center'
  }, /*#__PURE__*/_react.default.createElement("nav", {
    className: 'breadcrumb-one m-auto',
    "aria-label": 'breadcrumb'
  }, /*#__PURE__*/_react.default.createElement("ol", {
    className: 'breadcrumb'
  }, items.map(function (_ref2) {
    var index = _ref2.index,
        name = _ref2.name,
        link = _ref2.link;
    return /*#__PURE__*/_react.default.createElement("li", {
      className: "breadcrumb-item  ".concat(index === items.length ? 'active' : ''),
      "aria-current": 'page',
      key: 'breadcrumb-' + index
    }, currentLanguageCode === 'ar' ? /*#__PURE__*/_react.default.createElement(_fa.FaAngleLeft, null) : /*#__PURE__*/_react.default.createElement(_fa.FaAngleRight, null), /*#__PURE__*/_react.default.createElement("span", null, t(name)));
  })))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.Col, {
    lg: 12
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'text-center'
  }, /*#__PURE__*/_react.default.createElement("h2", {
    className: 'title text-primary'
  }, title))))));
}