"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _typeof = require("@babel/runtime/helpers/typeof");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Header;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _react = _interopRequireWildcard(require("react"));

require("./header.scss");

var _reactI18next = require("react-i18next");

var _Drawer = _interopRequireDefault(require("../../drawer/Drawer"));

var _reactBootstrap = require("react-bootstrap");

var _bs = require("react-icons/bs");

var _cg = require("react-icons/cg");

var _ri = require("react-icons/ri");

var _fi = require("react-icons/fi");

var _formsearch = _interopRequireDefault(require("../../dashboard/formsearch/formsearch"));

var _reactRouterDom = require("react-router-dom");

var _NotificationDropdown = _interopRequireDefault(require("../../NotificationDropdown/NotificationDropdown"));

var _Data = require("./Data");

var _EntryPage = _interopRequireDefault(require("@pages/Supplier/EntryPage/EntryPage"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var userData = {
  name: 'Abdullah Ebrahim',
  companyName: 'Almotaheda LLC'
};

function Header() {
  var _useTranslation = (0, _reactI18next.useTranslation)(),
      t = _useTranslation.t;

  var _useState = (0, _react.useState)(false),
      _useState2 = (0, _slicedToArray2.default)(_useState, 2),
      drawerShow = _useState2[0],
      setDrawerShow = _useState2[1];

  var handleCloseDrawer = function handleCloseDrawer() {
    return setDrawerShow(false);
  };

  var _useState3 = (0, _react.useState)(false),
      _useState4 = (0, _slicedToArray2.default)(_useState3, 2),
      notificationShow = _useState4[0],
      setNotificationShow = _useState4[1];

  var handleCloseNotifications = function handleCloseNotifications() {
    return setNotificationShow(!notificationShow);
  };

  var _useState5 = (0, _react.useState)(false),
      _useState6 = (0, _slicedToArray2.default)(_useState5, 2),
      showLanding = _useState6[0],
      setShowLanding = _useState6[1];

  return /*#__PURE__*/_react.default.createElement("nav", {
    className: 'navbar',
    "data-testid": 'headerTest'
  }, showLanding && _EntryPage.default && /*#__PURE__*/_react.default.createElement(_EntryPage.default, {
    onHide: function onHide() {
      return setShowLanding(false);
    }
  }), /*#__PURE__*/_react.default.createElement(_Drawer.default, {
    withoutHeader: true,
    show: drawerShow,
    classes: 'menu-drawer',
    handleClose: handleCloseDrawer
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: 'drawer-nav'
  }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    className: 'nav-page-link',
    to: '/'
  }, "Home"), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    className: 'nav-page-link',
    to: '/'
  }, "iNUPCO Care"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown, {
    className: 'nav-page-link',
    title: 'Reports',
    id: 'navbarScrollingDropdown'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action3'
  }, "Action"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action4'
  }, "Another action"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Divider, null), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action5'
  }, "Something else here")))), /*#__PURE__*/_react.default.createElement("div", {
    className: 'navbar-container'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.Navbar.Brand, null, /*#__PURE__*/_react.default.createElement("img", {
    src: require("@assets/img/logo.png"),
    alt: 'logo',
    className: 'logo'
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: ' nav-left'
  }, /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    className: 'nav-page-link',
    to: '/'
  }, "Home"), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    className: 'nav-page-link',
    to: '/'
  }, "iNUPCO Care"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown, {
    className: 'nav-page-link',
    title: 'Reports',
    id: 'navbarScrollingDropdown'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action3'
  }, "Action"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action4'
  }, "Another action"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Divider, null), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action5'
  }, "Something else here"))), /*#__PURE__*/_react.default.createElement(_formsearch.default, null), /*#__PURE__*/_react.default.createElement("div", {
    className: ' nav-right'
  }, /*#__PURE__*/_react.default.createElement("button", {
    onClick: function onClick() {
      return setShowLanding(true);
    },
    className: 'btn p-0 nav-icon',
    to: '/'
  }, /*#__PURE__*/_react.default.createElement(_cg.CgMenuGridO, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: 'notification-icon'
  }, /*#__PURE__*/_react.default.createElement("button", {
    onClick: handleCloseNotifications,
    className: 'btn p-0 nav-icon notification',
    to: '#action2'
  }, /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement(_bs.BsFillBellFill, null), " ", /*#__PURE__*/_react.default.createElement("i", null, "12"))), /*#__PURE__*/_react.default.createElement(_NotificationDropdown.default, {
    show: notificationShow,
    notifications: _Data.notificationData && _Data.notificationData
  })), /*#__PURE__*/_react.default.createElement(_reactRouterDom.Link, {
    className: 'nav-icon comments',
    to: '#action2'
  }, /*#__PURE__*/_react.default.createElement(_ri.RiQuestionnaireFill, null)), /*#__PURE__*/_react.default.createElement("div", {
    className: 'user-data-container'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown, {
    className: 'name-avatar',
    title: /*#__PURE__*/_react.default.createElement("div", {
      className: 'user-info'
    }, /*#__PURE__*/_react.default.createElement("img", {
      src: require("@assets/img/avatar.png"),
      alt: 'avatar',
      className: 'avatar'
    }), /*#__PURE__*/_react.default.createElement("label", null, /*#__PURE__*/_react.default.createElement("span", null, userData.name), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement("span", null, userData.companyName))),
    id: 'avatarDropdown'
  }, /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action3'
  }, /*#__PURE__*/_react.default.createElement("label", null, /*#__PURE__*/_react.default.createElement("span", null, userData.name), /*#__PURE__*/_react.default.createElement("br", null), /*#__PURE__*/_react.default.createElement("span", null, userData.companyName))), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action4'
  }, "profile"), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Divider, null), /*#__PURE__*/_react.default.createElement(_reactBootstrap.NavDropdown.Item, {
    href: '#action5'
  }, "Log out")))), /*#__PURE__*/_react.default.createElement("button", {
    onClick: function onClick() {
      return setDrawerShow(true);
    },
    className: 'btn  navbar-toggler'
  }, /*#__PURE__*/_react.default.createElement("span", null, /*#__PURE__*/_react.default.createElement(_fi.FiMenu, null)))));
}