"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _reactRouterDom = require("react-router-dom");

var _i18next = _interopRequireDefault(require("i18next"));

var _footer = _interopRequireDefault(require("./footer"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
describe('render footer component', function () {
  test('footer component', function () {
    (0, _react.render)(React.createElement(_footer.default, null), {
      wrapper: _reactRouterDom.MemoryRouter
    });

    var FooterCustomEle = _react.screen.getByTestId('footerTest');

    expect(FooterCustomEle).toBeInTheDocument();
  });
});