"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _breadcrumbV = _interopRequireDefault(require("./breadcrumbV3"));

describe('render Breadcrumb component', function () {
  var itemsBreadcrumb = [{
    index: 1,
    name: 'Category',
    link: ''
  }, {
    index: 2,
    name: 'Items',
    link: ''
  }, {
    index: 3,
    name: 'View',
    link: ''
  }];
  test('dark mood', function () {
    (0, _react.render)(React.createElement(_breadcrumbV.default, {
      color: 'dark',
      items: itemsBreadcrumb
    }));

    var DatepickerCustomEle = _react.screen.getByTestId('breadcrumbv3-component');

    expect(DatepickerCustomEle).toBeInTheDocument();
  });
  test('light mood', function () {
    (0, _react.render)(React.createElement(_breadcrumbV.default, {
      color: 'light',
      items: itemsBreadcrumb
    }));

    var DatepickerCustomEle = _react.screen.getByTestId('breadcrumbv3-component');

    expect(DatepickerCustomEle).toBeInTheDocument();
  });
});