"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@testing-library/react");

var _i18next = _interopRequireDefault(require("i18next"));

var _dropdownuser = _interopRequireDefault(require("./dropdownuser"));

jest.mock('react-i18next', function () {
  return {
    useTranslation: function useTranslation() {
      return {
        t: function t(key) {
          return key;
        }
      };
    }
  };
});
describe('render DropdownUser component', function () {
  var userdata = {
    name: 'name',
    companyName: 'company Name'
  };
  test('DropdownUser component', function () {
    (0, _react.render)(React.createElement(_dropdownuser.default, {
      userdata: userdata
    }));

    var DropdownUserCustomEle = _react.screen.getByTestId('dropdownUser');

    expect(DropdownUserCustomEle).toBeInTheDocument();
  });
});